From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/serf/files/, net-libs/serf/
Date: Fri, 6 May 2022 05:43:19 +0000 (UTC) [thread overview]
Message-ID: <1651815786.a04177db02b3b1d7118251b5acd9cbbb69454ff8.sam@gentoo> (raw)
commit: a04177db02b3b1d7118251b5acd9cbbb69454ff8
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri May 6 05:41:58 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 6 05:43:06 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a04177db
net-libs/serf: fix build with OpenSSL 3
Closes: https://bugs.gentoo.org/805161
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../serf/files/serf-1.3.9-openssl-3-bio-ctrl.patch | 21 ++++++
.../files/serf-1.3.9-openssl-3-errgetfunc.patch | 15 ++++
net-libs/serf/serf-1.3.9-r3.ebuild | 80 ++++++++++++++++++++++
3 files changed, 116 insertions(+)
diff --git a/net-libs/serf/files/serf-1.3.9-openssl-3-bio-ctrl.patch b/net-libs/serf/files/serf-1.3.9-openssl-3-bio-ctrl.patch
new file mode 100644
index 000000000000..a10974f4fbdc
--- /dev/null
+++ b/net-libs/serf/files/serf-1.3.9-openssl-3-bio-ctrl.patch
@@ -0,0 +1,21 @@
+https://src.fedoraproject.org/rpms/libserf/raw/rawhide/f/libserf-1.3.9-bio-ctrl.patch
+https://bugs.gentoo.org/805161
+--- a/buckets/ssl_buckets.c
++++ b/buckets/ssl_buckets.c
+@@ -407,7 +407,7 @@ static int bio_bucket_destroy(BIO *bio)
+
+ static long bio_bucket_ctrl(BIO *bio, int cmd, long num, void *ptr)
+ {
+- long ret = 1;
++ long ret = 0;
+
+ switch (cmd) {
+ default:
+@@ -415,6 +415,7 @@ static long bio_bucket_ctrl(BIO *bio, int cmd, long num, void *ptr)
+ break;
+ case BIO_CTRL_FLUSH:
+ /* At this point we can't force a flush. */
++ ret = 1;
+ break;
+ case BIO_CTRL_PUSH:
+ case BIO_CTRL_POP:
diff --git a/net-libs/serf/files/serf-1.3.9-openssl-3-errgetfunc.patch b/net-libs/serf/files/serf-1.3.9-openssl-3-errgetfunc.patch
new file mode 100644
index 000000000000..2823ee88e17b
--- /dev/null
+++ b/net-libs/serf/files/serf-1.3.9-openssl-3-errgetfunc.patch
@@ -0,0 +1,15 @@
+https://src.fedoraproject.org/rpms/libserf/raw/rawhide/f/libserf-1.3.9-errgetfunc.patch
+https://bugs.gentoo.org/805161
+--- a/buckets/ssl_buckets.c
++++ b/buckets/ssl_buckets.c
+@@ -1204,6 +1204,10 @@
+ }
+ }
+
++#ifndef ERR_GET_FUNC
++#define ERR_GET_FUNC(ec) (0)
++#endif
++
+ static int ssl_need_client_cert(SSL *ssl, X509 **cert, EVP_PKEY **pkey)
+ {
+ serf_ssl_context_t *ctx = SSL_get_app_data(ssl);
diff --git a/net-libs/serf/serf-1.3.9-r3.ebuild b/net-libs/serf/serf-1.3.9-r3.ebuild
new file mode 100644
index 000000000000..adc74891f4d4
--- /dev/null
+++ b/net-libs/serf/serf-1.3.9-r3.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit python-any-r1 scons-utils toolchain-funcs flag-o-matic
+
+DESCRIPTION="HTTP client library"
+HOMEPAGE="https://serf.apache.org/"
+SRC_URI="mirror://apache/${PN}/${P}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="kerberos"
+# Many test failures.
+RESTRICT="test"
+
+RDEPEND="dev-libs/apr:1=
+ dev-libs/apr-util:1=
+ dev-libs/openssl:0=
+ sys-libs/zlib:0=
+ kerberos? ( virtual/krb5 )"
+DEPEND="${RDEPEND}"
+BDEPEND=">=dev-util/scons-2.3.0"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.3.8-static-lib.patch
+ "${FILESDIR}"/${PN}-1.3.8-openssl.patch
+ "${FILESDIR}"/${PN}-1.3.9-python3.patch
+ "${FILESDIR}"/${PN}-1.3.9-python3_byte.patch
+ "${FILESDIR}"/${PN}-1.3.9-python3-check.patch
+ "${FILESDIR}"/${PN}-1.3.9-openssl-3-bio-ctrl.patch
+ "${FILESDIR}"/${PN}-1.3.9-openssl-3-errgetfunc.patch
+)
+
+src_prepare() {
+ default
+
+ # https://code.google.com/p/serf/issues/detail?id=133
+ sed -e "/env.Append(CCFLAGS=\['-O2'\])/d" -i SConstruct || die
+
+ # need limits.h for PATH_MAX (only when EXTENSIONS is enabled)
+ [[ ${CHOST} == *-solaris* ]] && append-cppflags -D__EXTENSIONS__
+}
+
+src_compile() {
+ myesconsargs=(
+ BUILD_STATIC=no
+ PREFIX="${EPREFIX}/usr"
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+ # These config scripts are sent through a shell with an empty env
+ # which breaks the SYSROOT usage in them. Set the vars inline to
+ # avoid that.
+ APR="SYSROOT='${SYSROOT}' ${SYSROOT}${EPREFIX}/usr/bin/apr-1-config"
+ APU="SYSROOT='${SYSROOT}' ${SYSROOT}${EPREFIX}/usr/bin/apu-1-config"
+ AR="$(tc-getAR)"
+ RANLIB="$(tc-getRANLIB)"
+ CC="$(tc-getCC)"
+ CPPFLAGS="${CPPFLAGS}"
+ CFLAGS="${CFLAGS}"
+ LINKFLAGS="${LDFLAGS}"
+ )
+
+ if use kerberos; then
+ myesconsargs+=( GSSAPI="${SYSROOT}${EPREFIX}/usr/bin/krb5-config" )
+ fi
+
+ escons "${myesconsargs[@]}"
+}
+
+src_test() {
+ escons check
+}
+
+src_install() {
+ escons install --install-sandbox="${D}"
+}
next reply other threads:[~2022-05-06 5:43 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-06 5:43 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-13 16:28 [gentoo-commits] repo/gentoo:master commit in: net-libs/serf/files/, net-libs/serf/ Andreas Sturmlechner
2023-05-11 21:05 Sam James
2020-12-24 2:25 Mike Gilbert
2020-05-28 9:37 Stefan Strogin
2019-12-23 3:01 Benda XU
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1651815786.a04177db02b3b1d7118251b5acd9cbbb69454ff8.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox